# IRdCamera Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
## Properties
ECameraType * | CameraType`[get]`
ECameraType | CameraType`[set]`
RtFloat * | FOV`[get]`
RtFloat | FOV`[set]`
RtFloat * | ClippingNear`[get]`
RtFloat | ClippingNear`[set]`
RtFloat * | ClippingFar`[get]`
RtFloat | ClippingFar`[set]`
RtFloat * | FocusDistance`[get]`
RtFloat | FocusDistance`[set]`
RtFloat * | AspectRatio`[get]`
RtFloat | AspectRatio`[set]`
RtBOOL * | IsHorizontalFOV`[get]`
RtBOOL | IsHorizontalFOV`[set]`

## Detailed Description

Camera definition.

## Member Function Documentation

HRESULT IRdCamera::Clear | ( | void |  | ) |

Clear contents of the object.

        var inCamera = params.ConValue('inCamera'); // Space 3D Package/Camera Data type.
        inCamera.Clear();

## Property Documentation

ECameraType * IRdCamera::CameraType`[get]`

Return the camera type

Returns:
  peCamType [out, retval] Is filled with type of the camera.

- Unspecified camera type returns 0.
- Perspective camera type returns 1.
- Orthogonal camera type returns 2.

        var inCamera = params.ConValue('inCamera'); // Space 3D Package/Camera Data type.
        var camType = inCamera.CameraType;
        System.Alert(camType);

ECameraType IRdCamera::CameraType`[set]`

Set the camera type.

Parameters:

  | eCamType | [in] Specifies new camera type.

- Unspecified camera type = 0.
- Perspective camera type = 1.
- Orthogonal camera type = 2.

        var inCamera = params.ConValue('inCamera');
        camType = 0;
        inCamera.CameraType = camType;
        System.Alert(camType);

RtFloat * IRdCamera::FOV`[get]`

Return the camera FOV.

Returns:
  fpFov [out, retval] Is filled with FOV of the camera.

        var inCamera = params.ConValue('inCamera');
        var foV = inCamera.FOV;
        System.Alert(foV);

RtFloat IRdCamera::FOV`[set]`

Set the camera FOV.

Parameters:

  | fFov | [in] Specifies new camera FOV.

        var inCamera = params.ConValue('inCamera');
        var foV = 2.0;
        inCamera.FOV = foV;
        System.Alert(foV);

RtFloat * IRdCamera::ClippingNear`[get]`

Return the camera ClippingNear.

Returns:
  fClippingNear [out, retval] Is filled with ClippingNear of the camera.

        var inCamera = params.ConValue('inCamera');
        var clipN = inCamera.ClippingNear;
        System.Alert(clipN);

RtFloat IRdCamera::ClippingNear`[set]`

Set the camera ClippingNear.

Parameters:

  | fClippingNear | [in] Specifies new camera ClippingNear.

        var inCamera = params.ConValue('inCamera');
        var clipN = 2.0
        inCamera.ClippingNear = clipN;
        System.Alert(clipN);

RtFloat * IRdCamera::ClippingFar`[get]`

Return the camera ClippingFar.

Returns:
  pfClippingFar [out, retval] Is filled with ClippingFar of the camera.

        var inCamera = params.ConValue('inCamera');
        var clipF = inCamera.ClippingFar;
        System.Alert(clipF);

RtFloat IRdCamera::ClippingFar`[set]`

Set the camera ClippingFar

Parameters:

  | fClippingFar | [in] Specifies new camera ClippingFar.

        var inCamera = params.ConValue('inCamera');
        var clipF = 900;
        inCamera.ClippingFar = 900;
        System.Alert(clipF);

RtFloat * IRdCamera::FocusDistance`[get]`

Return the camera FocusDistance.

Returns:
  pfFocusDistance [out, retval] Is filled with FocusDistance of the camera.

        var inCamera = params.ConValue('inCamera');
        var focD = inCamera.FocusDistance;
        System.Alert(focD);

RtFloat IRdCamera::FocusDistance`[set]`

Set the camera FocusDistance.

Parameters:

  | fFocusDistance | [in] Specifies new camera FocusDistance.

        var inCamera = params.ConValue('inCamera');
        var focD = 200;
        inCamera.FocusDistance = focD;
        System.Alert(focD);

RtFloat* IRdCamera::AspectRatio`[get]`

Return the camera AspectRatio.

Returns:
  pfVal [out, retval] Is filled with AspectRatio of the camera.

        var inCamera = params.ConValue('inCamera');
        var aspectR = inCamera.AspectRatio;
        System.Alert(aspectR);

RtFloat IRdCamera::AspectRatio`[set]`

Set the camera AspectRatio

Parameters:

  | fVal | [in] Specifies new camera AspectRatio.

        var inCamera = params.ConValue('inCamera');
        var aspectR = 1;
        inCamera.AspectRatio = aspectR;
        System.Alert(aspectR);

RtBOOL* IRdCamera::IsHorizontalFOV`[get]`

Return the camera FOV type.

Returns:
  pfVal [out, retval] Is filled with type FOV.
  Horizontal FOV (true).
  Vertical (false).

        var inCamera = params.ConValue('inCamera');
        var hFov = inCamera.IsHorizontalFOV;
        System.Alert(hFov);

RtBOOL IRdCamera::IsHorizontalFOV`[set]`

Set the camera FOV type.

Parameters:

  | fVal | [in] Specifies horizontal FOV type (true) or vertical (false).

        var inCamera = params.ConValue('inCamera');
        var hFov = true;
        inCamera.IsHorizontalFOV = hFov;
        System.Alert(hFov);